### Method

# Gtk FontDialogset_filter

since: 4.10

#### Declaration [src]

    void
    gtk_font_dialog_set_filter (
      GtkFontDialog* self,
      GtkFilter* filter
    )

#### Description [src]

Adds a filter that decides which fonts to display in the font chooser dialog.

The `GtkFilter` must be able to handle both `PangoFontFamily` and `PangoFontFace` objects.

Available since: 4.10

Sets property | `Gtk.FontDialog:filter`

#### Parameters

`filter`

  Type: `GtkFilter`

  A `GtkFilter`

  The argument can be `NULL`.
  The data is owned by the caller of the method.